
The Hammer - Bug #51

SciLexer.dll - embedded quotes within string is seen as unclosed string

06/22/2017 05:18 PM - Wil van Antwerpen

Status: Closed Start date: 06/22/2017

Priority: Normal Due date:  

Assignee: Wil van Antwerpen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Description

See image, the lexer sees it as an unclosed string, which is of course not true.

Subtasks:

Bug # 52: SciLexer.dll - EOL Comment after embedded quotes is seen as EOL comment Closed

History

#1 - 06/24/2017 05:26 PM - Wil van Antwerpen

- Status changed from New to In Progress

The problem here was that a string open and close could be by either a single quote or a double quote.

Same for closing the string.

So "abc' as well as 'def" where both seen as valid strings as the code did not track if the string literal was started with either a single or double quote.

We are now tracking that in line state.

#2 - 06/24/2017 06:29 PM - Wil van Antwerpen

- Status changed from In Progress to Resolved

#3 - 07/06/2017 02:16 PM - Wil van Antwerpen

- Status changed from Resolved to Closed
